GET /v1/notification-rules
Notification rules
Auth. Send the token in the X-Ledger-Token header.
Responses
| Status | Meaning | Body |
|---|---|---|
200 | Rules | NotificationRule[] |
429 | Too many requests from this client address. Wait the number of seconds in Retry-After, then try again. | Error |
Example response
[
{
"id": 0,
"name": "string",
"event": "income",
"threshold": 0,
"category": "string",
"topic": "string",
"enabled": true,
"created_at": "2026-10-11T00:00:00Z"
}
]
Code samples
Set KEY to your own token first.
curl
curl \
-H X-Ledger-Token:$KEY \
"https://api.sasek.org/ledger/v1/notification-rules"
JavaScript
const res = await fetch("https://api.sasek.org/ledger/v1/notification-rules", {
headers: { "X-Ledger-Token": KEY },
});
const data = await res.json();
Python
import json
import os
import urllib.request
request = urllib.request.Request(
"https://api.sasek.org/ledger/v1/notification-rules",
method="GET",
headers={
"X-Ledger-Token": os.environ["KEY"],
},
)
with urllib.request.urlopen(request) as response:
print(json.load(response))